# https://python-poetry.org/docs/pyproject/
# https://www.python.org/dev/peps/pep-0621/
[tool.poetry]
name = "coopnorge.demo2206.gcp"
version = "0.0.0"
description = ""
authors = []
readme = "README.md"
packages = [
    {include = "*", from = "src"},
]

[tool.poetry.scripts]
"coopnorge.demo2206.gcp" = "coopnorge.demo2206.gcp.cli:main"

[tool.poetry.dependencies]
python = "^3.8.0"
click = "^8.1.3"
pydantic = "^1.9.1"
typer = "^0.4.1"
pydantic-avro = "^0.3.2"
Faker = "^13.13.0"
fsspec = "^2022.5.0"
gcsfs = "^2022.5.0"


[tool.poetry.dev-dependencies]
black = "^22.3.0"
codespell = "^2.1.0"
flake8 = "^4.0.1"
flake8-black = "^0.3.3"
flake8-bugbear = "^22.4.25"
flake8-isort = "^4.1.1"
invoke = "^1.7.1"
isort = "^5.10.1"
mypy = "^0.961"
pre-commit = "^2.19.0"
pytest = "^7.1.2"
pytest-cov = "^3.0.0"
pytest-subtests = "^0.8.0"
safety = "^1.10.3"
tox = "^3.25.0"
types-click = "^7.1.8"
types-dataclasses = "^0.6.5"
typing-extensions = "^4.2.0"
pycln = "^1.3.3"

[tool.coverage.report]
# https://coverage.readthedocs.io/en/coverage-5.0/config.html
show_missing = true

[tool.isort]
# https://pycqa.github.io/isort/docs/configuration/config_files.html
profile = "black"

[tool.pytest.ini_options]
addopts = ["--cov-config=pyproject.toml", "--cov=src"]
# https://docs.pytest.org/en/stable/customize.html
# https://docs.pytest.org/en/stable/reference.html#configuration-options
log_cli = true
log_cli_level = "DEBUG"
log_cli_format = "%(asctime)s %(process)d %(thread)d %(levelno)03d:%(levelname)-8s %(name)-12s %(module)s:%(lineno)s:%(funcName)s %(message)s"
log_cli_date_format = "%Y-%m-%dT%H:%M:%S"

[build-system]
requires = ["setuptools","poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
